Storyden
Accounts

Account Auth Provider List

Retrieve a list of authentication providers with a flag indicating which ones are active for the currently authenticated account.

GET
/accounts/self/auth-methods

Retrieve a list of authentication providers with a flag indicating which ones are active for the currently authenticated account.

Authorization

cookiestoryden-session<token>

Response Body

OK

application/json
  1. response
active*array<>
available*array<>
Example Request
curl -X GET 'https://example.com/api/accounts/self/auth-methods'
Example Response
{  "active": [    {      "id": "string",      "created_at": "2019-08-24T14:15:22Z",      "name": "string",      "identifier": "string",      "provider": {        "provider": "string",        "name": "string",        "link": "string"      }    }  ],  "available": [    {      "provider": "string",      "name": "string",      "link": "string"    }  ]}